> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch videos

> This endpoint allows you to get the videos that belong to a TV season.



## OpenAPI

````yaml api-reference/TMDB-OAS.yaml get /tv/{{series_id}}/season/{{season_number}}/videos
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /tv/{{series_id}}/season/{{season_number}}/videos:
    parameters:
      - name: series_id
        in: path
        required: true
        schema:
          type: string
      - name: season_number
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - TV Seasons
      summary: Fetch videos
      description: This endpoint allows you to get the videos that belong to a TV season.
      operationId: fetchVideos1
      parameters:
        - name: include_video_language
          in: query
          schema:
            type: string
            example: string
          description: >-
            filter the list results by language, supports more than one value by
            using a comma
        - name: language
          in: query
          schema:
            type: string
            example: string
      responses:
        '200':
          description: Fetch videos
          headers:
            Age:
              schema:
                type: string
                example: '41'
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=8174
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Mon, 30 Dec 2024 10:58:42 GMT
            ETag:
              schema:
                type: string
                example: W/"0c2d7d316a791f24bfce89330113029b"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 32a86417f344d7ce72f29ebf299d3192.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: H80SbQCeS46SjIivTthsXfketslv7W1OvUCC6c0Lpnc7_wJ-FvKDBQ==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD61-P5
            X-Cache:
              schema:
                type: string
                example: Hit from cloudfront
            x-memc:
              schema:
                type: string
                example: HIT
            x-memc-age:
              schema:
                type: string
                example: '13455'
            x-memc-expires:
              schema:
                type: string
                example: '8174'
            x-memc-key:
              schema:
                type: string
                example: 17e9983096ec547bf306329527f2fb6f
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    example: 3624
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: 5ce71a920e0a265ac0cfe497
                        iso_3166_1:
                          type: string
                          example: US
                        iso_639_1:
                          type: string
                          example: en
                        key:
                          type: string
                          example: e0Y8KpQpW8c
                        name:
                          type: string
                          example: Game Of Thrones - Season 1 Recap - Official HBO UK
                        official:
                          type: boolean
                          example: true
                        published_at:
                          type: string
                          example: '2015-05-19T16:31:23.000Z'
                        site:
                          type: string
                          example: YouTube
                        size:
                          type: number
                          example: 1080
                        type:
                          type: string
                          example: Recap
                    example:
                      - id: 5ce71a920e0a265ac0cfe497
                        iso_3166_1: US
                        iso_639_1: en
                        key: e0Y8KpQpW8c
                        name: Game Of Thrones - Season 1 Recap - Official HBO UK
                        official: true
                        published_at: '2015-05-19T16:31:23.000Z'
                        site: YouTube
                        size: 1080
                        type: Recap
                      - id: 534921db0e0a266b3f0013bb
                        iso_3166_1: US
                        iso_639_1: en
                        key: 9cqABojhqr4
                        name: >-
                          Game of Thrones: Pledge Your Allegiance - House Stark
                          (HBO)
                        official: true
                        published_at: '2012-03-19T20:01:10.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 53492a180e0a266b3f001446
                        iso_3166_1: US
                        iso_639_1: en
                        key: oEjgO10dzdQ
                        name: >-
                          Game of Thrones: Moments Tease - Daenerys Targaryen
                          and Khal Drogo (HBO)
                        official: true
                        published_at: '2011-04-18T20:12:25.000Z'
                        site: YouTube
                        size: 720
                        type: Teaser
                      - id: 5349239c0e0a266b470013c2
                        iso_3166_1: US
                        iso_639_1: en
                        key: 6t-Z4OxLCSY
                        name: >-
                          Game Of Thrones: Moments Tease - Ned and Catelyn Stark
                          (HBO)
                        official: true
                        published_at: '2011-04-18T20:12:09.000Z'
                        site: YouTube
                        size: 720
                        type: Teaser
                      - id: 5349289e0e0a266b430013ee
                        iso_3166_1: US
                        iso_639_1: en
                        key: H2QOBDGuesw
                        name: >-
                          Game Of Thrones: Character Feature - Cersei Lannister
                          (HBO)
                        official: true
                        published_at: '2011-03-29T14:45:07.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 534931980e0a266b310014c3
                        iso_3166_1: US
                        iso_639_1: en
                        key: WdGntO7vi0w
                        name: >-
                          Game of Thrones: Character Feature - King Robert
                          Baratheon (HBO)
                        official: true
                        published_at: '2011-03-29T14:43:46.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 534923550e0a266b3b00137e
                        iso_3166_1: US
                        iso_639_1: en
                        key: xkgNP60rPMs
                        name: 'Game Of Thrones: Character Feature - Ned Stark (HBO)'
                        official: true
                        published_at: '2011-03-29T14:42:50.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 53492a7d0e0a266b47001440
                        iso_3166_1: US
                        iso_639_1: en
                        key: otmIEFQrCHA
                        name: >-
                          Game Of Thrones: Character Feature - Daenerys
                          Targaryen (HBO)
                        official: true
                        published_at: '2011-03-29T14:41:17.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 53492aaa0e0a266b3b001417
                        iso_3166_1: US
                        iso_639_1: en
                        key: pf0EDfgi2Uo
                        name: >-
                          Game Of Thrones: Character Feature - Viserys Targaryen
                          (HBO)
                        official: true
                        published_at: '2011-03-18T23:28:51.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 5349232b0e0a266b310013d3
                        iso_3166_1: US
                        iso_639_1: en
                        key: asJaqshya8s
                        name: 'Game Of Thrones: Character Feature - Bran Stark (HBO)'
                        official: true
                        published_at: '2011-03-18T23:16:50.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 534923030e0a266b4300139d
                        iso_3166_1: US
                        iso_639_1: en
                        key: 5FoXU1pNr7g
                        name: 'Game Of Thrones: Character Feature - Arya Stark (HBO)'
                        official: true
                        published_at: '2011-03-18T23:07:22.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 534922d30e0a266b4a0014ee
                        iso_3166_1: US
                        iso_639_1: en
                        key: JLF5afwjvQQ
                        name: 'Game Of Thrones: Character Feature - Robb Stark (HBO)'
                        official: true
                        published_at: '2011-03-18T23:02:22.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 534922b00e0a266b4a0014e9
                        iso_3166_1: US
                        iso_639_1: en
                        key: 5H7Q3SZ2kec
                        name: >-
                          Game of Thrones: Character Feature - Catelyn Stark
                          (HBO)
                        official: true
                        published_at: '2011-03-18T22:53:18.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 534928e90e0a266b430013f2
                        iso_3166_1: US
                        iso_639_1: en
                        key: 13agX-f4MrU
                        name: >-
                          Game Of Thrones: Character Feature - Jaime Lannister
                          (HBO)
                        official: true
                        published_at: '2011-03-18T22:30:20.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 534929160e0a266b3b0013e6
                        iso_3166_1: US
                        iso_639_1: en
                        key: g7ZSQRDUroo
                        name: >-
                          Game Of Thrones: Character Feature - Tyrion Lannister
                          (HBO)
                        official: true
                        published_at: '2011-03-18T22:28:01.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 5c9b7e95c3a36841a341b9c6
                        iso_3166_1: US
                        iso_639_1: en
                        key: BpJYNVhGf1s
                        name: Game Of Thrones "The Game Begins" Preview (HBO)
                        official: true
                        published_at: '2011-03-04T04:21:14.000Z'
                        site: YouTube
                        size: 1080
                        type: Trailer
              examples:
                Fetch videos:
                  value:
                    id: 3624
                    results:
                      - id: 5ce71a920e0a265ac0cfe497
                        iso_3166_1: US
                        iso_639_1: en
                        key: e0Y8KpQpW8c
                        name: Game Of Thrones - Season 1 Recap - Official HBO UK
                        official: true
                        published_at: '2015-05-19T16:31:23.000Z'
                        site: YouTube
                        size: 1080
                        type: Recap
                      - id: 534921db0e0a266b3f0013bb
                        iso_3166_1: US
                        iso_639_1: en
                        key: 9cqABojhqr4
                        name: >-
                          Game of Thrones: Pledge Your Allegiance - House Stark
                          (HBO)
                        official: true
                        published_at: '2012-03-19T20:01:10.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 53492a180e0a266b3f001446
                        iso_3166_1: US
                        iso_639_1: en
                        key: oEjgO10dzdQ
                        name: >-
                          Game of Thrones: Moments Tease - Daenerys Targaryen
                          and Khal Drogo (HBO)
                        official: true
                        published_at: '2011-04-18T20:12:25.000Z'
                        site: YouTube
                        size: 720
                        type: Teaser
                      - id: 5349239c0e0a266b470013c2
                        iso_3166_1: US
                        iso_639_1: en
                        key: 6t-Z4OxLCSY
                        name: >-
                          Game Of Thrones: Moments Tease - Ned and Catelyn Stark
                          (HBO)
                        official: true
                        published_at: '2011-04-18T20:12:09.000Z'
                        site: YouTube
                        size: 720
                        type: Teaser
                      - id: 5349289e0e0a266b430013ee
                        iso_3166_1: US
                        iso_639_1: en
                        key: H2QOBDGuesw
                        name: >-
                          Game Of Thrones: Character Feature - Cersei Lannister
                          (HBO)
                        official: true
                        published_at: '2011-03-29T14:45:07.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 534931980e0a266b310014c3
                        iso_3166_1: US
                        iso_639_1: en
                        key: WdGntO7vi0w
                        name: >-
                          Game of Thrones: Character Feature - King Robert
                          Baratheon (HBO)
                        official: true
                        published_at: '2011-03-29T14:43:46.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 534923550e0a266b3b00137e
                        iso_3166_1: US
                        iso_639_1: en
                        key: xkgNP60rPMs
                        name: 'Game Of Thrones: Character Feature - Ned Stark (HBO)'
                        official: true
                        published_at: '2011-03-29T14:42:50.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 53492a7d0e0a266b47001440
                        iso_3166_1: US
                        iso_639_1: en
                        key: otmIEFQrCHA
                        name: >-
                          Game Of Thrones: Character Feature - Daenerys
                          Targaryen (HBO)
                        official: true
                        published_at: '2011-03-29T14:41:17.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 53492aaa0e0a266b3b001417
                        iso_3166_1: US
                        iso_639_1: en
                        key: pf0EDfgi2Uo
                        name: >-
                          Game Of Thrones: Character Feature - Viserys Targaryen
                          (HBO)
                        official: true
                        published_at: '2011-03-18T23:28:51.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 5349232b0e0a266b310013d3
                        iso_3166_1: US
                        iso_639_1: en
                        key: asJaqshya8s
                        name: 'Game Of Thrones: Character Feature - Bran Stark (HBO)'
                        official: true
                        published_at: '2011-03-18T23:16:50.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 534923030e0a266b4300139d
                        iso_3166_1: US
                        iso_639_1: en
                        key: 5FoXU1pNr7g
                        name: 'Game Of Thrones: Character Feature - Arya Stark (HBO)'
                        official: true
                        published_at: '2011-03-18T23:07:22.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 534922d30e0a266b4a0014ee
                        iso_3166_1: US
                        iso_639_1: en
                        key: JLF5afwjvQQ
                        name: 'Game Of Thrones: Character Feature - Robb Stark (HBO)'
                        official: true
                        published_at: '2011-03-18T23:02:22.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 534922b00e0a266b4a0014e9
                        iso_3166_1: US
                        iso_639_1: en
                        key: 5H7Q3SZ2kec
                        name: >-
                          Game of Thrones: Character Feature - Catelyn Stark
                          (HBO)
                        official: true
                        published_at: '2011-03-18T22:53:18.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 534928e90e0a266b430013f2
                        iso_3166_1: US
                        iso_639_1: en
                        key: 13agX-f4MrU
                        name: >-
                          Game Of Thrones: Character Feature - Jaime Lannister
                          (HBO)
                        official: true
                        published_at: '2011-03-18T22:30:20.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 534929160e0a266b3b0013e6
                        iso_3166_1: US
                        iso_639_1: en
                        key: g7ZSQRDUroo
                        name: >-
                          Game Of Thrones: Character Feature - Tyrion Lannister
                          (HBO)
                        official: true
                        published_at: '2011-03-18T22:28:01.000Z'
                        site: YouTube
                        size: 720
                        type: Featurette
                      - id: 5c9b7e95c3a36841a341b9c6
                        iso_3166_1: US
                        iso_639_1: en
                        key: BpJYNVhGf1s
                        name: Game Of Thrones "The Game Begins" Preview (HBO)
                        official: true
                        published_at: '2011-03-04T04:21:14.000Z'
                        site: YouTube
                        size: 1080
                        type: Trailer
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````